@charset "UTF-8";

/*------------------------------------------

 CP 

------------------------------------------*/

/*--------------------------------
 Layout
--------------------------------*/

:root {
  --main-width: 100%;

  --post-padding-side: 14px;
  --item-padding-side: 14px;

  --z-base: 0;
  --z-sticky: 50;
}


/*--------------------------------
 Text
--------------------------------*/

:root {
  --fc-base: #202020;
  --ff-base: "Inter", "Noto Sans JP", "Yu Gothic UI", "Yu Gothic", Meiryo, ui-sans-serif, system-ui, -apple-system, Roboto, "Helvetica Neue", Arial, sans-serif;
  --fs-base: 1.65rem;
  --fw-base: 400;
  --lh-base: 1.9;
  --ls-base: 0;
  --ta-base: left;


  /* Variant */  

  --fc-gray: #707070;

  --fc-link: #0078de;
  --fc-link-hv: #f60;
  --fw-bold: 600;

  --lh-ttl: 1.6;
}


/*--------------------------------
 Color
--------------------------------*/

:root {
  --color-primary: #096ec8;
  --color-primary-l: #e7f3fe;
  --color-primary-ll: #fff0f0;
  --color-primary-d: #0a579f;

  --color-secondary: #0098ef;

  --color-orange: #ff4f20;

  --color-accent: #fb5059;

  --color-page-bg: #f5f5f5;
  --color-page-bg-l: #f5f5f5;

  --color-border: #e0e3e6;
  --color-border-l: #f2f5f7;

  --color-item-wappy: #2d6bd6;

  --color-item-no1: var(--color-item-wappy);

  --color-btn: #009025;

  --color-yellow-l: #fffae9;
}


/*--------------------------------
 Modules
--------------------------------*/

:root {
  --box-padding: 16px;

  --transition-base: .3s;
  --opacity-hv: .76;

  --block-r: 6px;
}


@media ( min-width: 768px ) {
:root {
  --post-padding-side: 28px;
}
}



/*------------------------------------------

 Base Setting

------------------------------------------*/

html {
  font-size: 10px;
  scroll-behavior: smooth;
}

body {
  width: 100%;
  height: 100%;
  color: var(--fc-base);
  font-family: var(--ff-base);
  font-size: var(--fs-base);
  font-weight: var(--fw-base);
  letter-spacing: var(--ls-base);
  line-height: var(--lh-base);
  text-align: var(--ta-base);
  background: var(--color-page-bg);
}

* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  color: inherit;
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  letter-spacing: inherit;
  line-height: inherit;
  text-align: inherit;
  vertical-align: baseline;
  box-sizing: border-box;
}

*::before, *::after {
  box-sizing: border-box;
}

img, video, iframe{
  max-width: 100%;
  margin: 0 auto;
  display: block;
}

a {
  cursor: pointer;
}

b, strong {
  font-weight: var(--fw-bold);
}

h1, h2, h3 {
  font-weight: 700;
  line-height: 1.6;
}

h4, h5 {
  font-weight: var(--fw-bold);
  line-height: var(--lh-ttl);
}

button {
  background: none;
  cursor: pointer;
  transition: var(--transition-base);
}

input[type="text"],
input[type="button"],
input[type="email"],
input[type="submit"],
textarea {
  border-radius: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.fc-main-color {
  color: var(--color-primary);
}



/*------------------------------------------

 Page Layout

------------------------------------------*/

.contents {
  width: 100vw;
  max-width: 520px;
  margin: 0 auto;
  padding: 0;
}

.main {
  width: var(--main-width);
  margin: 0 auto;
  
}

.post {
  width: 100%;
  padding: 0 var(--post-padding-side) 40px;
  background: #fff;
}


@media ( min-width: 480px ) {
  .contents {
    padding: 0 28px;
  }

  .post {
    padding-top: 0;
    padding-bottom: 64px;
    box-shadow: 0 0 16px rgba(0, 0, 0, 0.05);
  }
}



/*------------------------------------------

 Post Header

------------------------------------------*/

.post-header {
  margin-bottom: 24px;
}

.post-mv {
  margin: 0 calc(var(--post-padding-side) * -1);
  position: relative;
}

.post-mv::after {
  width: fit-content;
  height: 22px;
  padding: 0 5px;
  color: #555;
  font-size: 1.2rem;
  background: rgba(255, 255, 255, 0.8);
  border: 1px solid var(--color-border);
  content: "PR";
  display: flex;
  align-items: center;
  position: absolute;
  top: 0;
  right: 0;
  opacity: .9;
}

.post-mv img {
  width: 100%;
}

.post-ttl {
  margin-top: 14px;
  font-size: 1.85rem;
  line-height: 1.7;
}

.post-meta {
  margin-top: 12px;
  border-top: 1px dotted #bbb;
  border-bottom: 1px dotted #bbb;
}

.post-meta__item {
  padding: 2px 0;
  display: flex;
  align-items: center;
  color: var(--fc-gray);
  font-size: 1.3rem;
}

.post-meta__item dd {
  display: flex;
  align-items: center;
  gap: 6px;
}

.post-meta__item span {
  width: fit-content;
  height: 16px;
  padding: 0 3px 1px 3px;
  color: #fff;
  font-size: 1.1rem;
  font-weight: 600;
  background: var(--color-primary);
  border-radius: 3px;
  display: flex;
  align-items: center;
}


@media ( min-width: 768px ) {

}



/*------------------------------------------

 Post First View

------------------------------------------*/

.post-fv {
  position: relative;
}

.post-fv__txt {
  width: fit-content;
  margin: 28px 0;
  position: relative;
  overflow: hidden;
  z-index: 5;
}

.post-fv__txt::before {
  background: #fff;
  content: "";
  display: block;
  position: absolute;
  inset: 0;
  z-index: 5;
  animation: fvTxt .65s ease;
  animation-delay: .5s;
  animation-fill-mode: forwards;
}

@keyframes fvTxt {
  0% { right: 0; }
  100% { left: 100%; }
}

.post-fv__img {
  width: 134px;
  position: absolute;
  top: -30%;
  right: 4px;
  opacity: 0;
  animation: fvImg .26s ease-in;
  animation-delay: 1.05s;
  animation-fill-mode: forwards;
  transform: translateY(8px);
}

@keyframes fvImg {
  0% {
    opacity: 0;
    transform: translateY(8px);
  }
  100% {
    opacity: 1;
    transform: translateY(0px);
  }
}





/*------------------------------------------

 Post Body

------------------------------------------*/


:root {
  --text-margin: 26px;
  --block-margin: 32px;

  --fs-h2: 1.8rem;
  --fs-h3: 1.6rem;
  --fs-h4: 1.5rem;
}


/*--------------------------------
 Post Body / Heading
--------------------------------*/

.post-body > h2 {
  margin: 52px 0 28px;
  padding: 14px 12px 14px 18px;
  background-color: var(--color-page-bg);
  background-image: linear-gradient(to bottom right, transparent 0%, transparent 25%, rgba(255, 255, 255, 1) 25%, rgba(255, 255, 255, 1) 50%, transparent 50%, transparent 75%, rgba(255, 255, 255, 1) 75%, rgba(255, 255, 255, 1) 100%);
  background-repeat: repeat;
  background-size: 4px 4px;
  font-size: 2.1rem;
  border: 2px solid #fff;
  outline: 1px solid var(--color-border);
  border-radius: 3px;
  box-shadow: var(--box-shadow-base);
  position: relative;
}

.post-body > h2 {
  margin: 52px calc(var(--post-padding-side) * -1) 0;
  padding: 14px 12px;
  color: #fff;
  text-align: center;
  background: var(--color-primary);
  border: none;
  border-radius: 0;
  outline: none;
  position: relative;
  z-index: 0;
}

/*.post-body > h2::before {
  width: 5px;
  height: calc(100% - 20px);
  background: var(--color-primary);
  border-radius: 0 4px 4px 0;
  content: none;
  display: block;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}*/

.post-body > h2::before {
  width: 18px;
  height: 18px;
  background: var(--color-primary);
  border-radius: 2px;
  content: "";
  display: block;
  position: absolute;
  bottom: -16px;
  left: 50%;
  z-index: -1;
  transform: translateY(-50%) rotate(45deg);
}

.post-body > h3 {
  margin-top: 44px;
  padding: 16px 12px 14px;
  font-size: 1.7rem;
  background: linear-gradient(to bottom, #fff, var(--color-page-bg));
  border: 1px solid var(--color-border);
  border-top: none;
  position: relative;
}

.post-body > h3::before{
  width: calc(100% + 2px);
  height: 4px;
  background: var(--color-primary);
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: -1px;
}


.post-body {
  font-size: var(--fs-base);
}

.post-body p {
  margin-top: var(--text-margin);
}

.post-body p:first-child {
  margin-top: 0;
}

.post-body .--margin-l {
  margin-top: calc(var(--text-margin) * 1.5);
}

.post-body hr {
  width: 100%;
  height: 1px;
  margin: 36px 0 28px;
  border-top: 1px dotted #888;
}


/*--------------------------------
 Post Body / Media
--------------------------------*/

.post-body .img {
  margin: var(--block-margin) auto;
}

.post-body .img + .img {
  margin-top: -12px;
}

.img-style--border {
  border: 1px solid var(--color-border);
  border-radius: 6px;
  overflow: hidden;
}

.post-body video {

}

@media ( min-width: 768px ) {
  .post-body .img img {
    max-width: 360px;
  }
}



/*--------------------------------
 Post Body / Link
--------------------------------*/

.post-body a:not(:is([class*="btn"] *)) {
  color: var(--fc-link);
}

.post-body a:not(:is([class*="btn"] *)):hover {
  color: var(--fc-link-hv);
}

.post-body .txt-link {
  font-size: 110%;
  font-weight: var(--fw-bold);
}

.post-body .txt-link::after {
  width: 16px;
  height: 16px;
  margin: 0 2px 0 4px;
  background-image: url(../img/icon-link.svg);
  background-size: 100%;
  content: "";
  display: inline-block;
  transform: translateY(2px);
}

.post-body .txt-link:hover::after {
  background-image: url(../img/icon-link-hv.svg);
}



/*--------------------------------
 Post Body / List
--------------------------------*/

.post-body li {
  position: relative;
}

.post-body ul:not(:first-child) {
  margin-top: var(--text-margin);
}

.post-body .list--default li {
  padding-left: 16px;
}

.post-body .list--default li:not(:first-child) {
  margin-top: 3px;
}

.post-body .list--default li::before {
  width: 6px;
  height: 6px;
  background: var(--color-primary);
  border-radius: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 11px;
  left: 2px;
}

.post-body .list-lh--tight li:not(:first-child) {
  margin-top: 0;
}


/*--------------------------------
 Post Body / Box
--------------------------------*/

.box {
  margin: var(--block-margin) 0;
  padding: var(--box-padding);
  border-radius: var(--block-r);
  position: relative;
}

.box:has(.box-caption--label) {
  margin-top: calc(var(--block-margin) + 34px);
  border-top-left-radius: 0;
}

.box:is(.box + *) {
  margin-top: calc(var(--block-margin * 0.6));
}


.box--border-primary {
  border: 2px solid var(--color-primary);
}

.box--border-gray {
  border: 3px solid #eee;
}

.box--border-dotted-orange {
  border: 2px dotted var(--color-orange);
}

.box--bg-gray {
  background: var(--color-page-bg);
}

.box--bg-yellow {
  background: #fffae7;
}

.box--bg-primary {
  background: var(--color-primary-l);
}

.box--shadow {
  box-shadow: var(--box-shadow-base);
}

.box--r-none {
  border-radius: 0;
}

:root {
  --color-green: #049b1a;
}

.box--ingredient {
  margin-top: 24px;
  padding: 16px 16px 16px 20px;
  background: #eaf8e9;
  border-radius: 6px;
  position: relative;
  overflow: hidden;
}

.box--ingredient::before {
  width: 5px;
  height: 100%;
  background: var(--color-green);
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
}

.box--ingredient p {
  color: var(--color-green);
}



/*------------------------------------------

 Ranking

------------------------------------------*/

.ranking-table {
  margin-top: 32px;
}

.ranking-table__inner {
  overflow-x: scroll;
}

.ranking-table table {
  width: 175%;
  border: 1px solid var(--color-border);
  border-left: none;
}

.ranking-table thead th {
  border-top: 1px solid var(--color-border);
  border-left: 1px solid var(--color-border);
}

.ranking-table thead th a {
  padding: 8px 0;
  font-size: 1.25rem;
  text-align: center;
  line-height: 1.4;
  display: block;
}

.ranking-table thead img {
  max-width: 96px;
  margin: 0 auto 4px;
}

.ranking-table thead th span {
  font-weight: 600;
  text-decoration: underline;
}

.ranking-table thead .column--heading {
  width: 56px;
  font-size: 1.2rem;
  font-weight: 600;
  text-align: center;
  line-height: 1.4;
  vertical-align: middle;
  background: #f3f3f3;
  border: none;
  position: sticky;
  left: 0;
}

.ranking-table thead .column--heading::before {
  width: 1px;
  height: 100%;
  background: var(--color-border);
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
}

.ranking-table tbody th {
  font-size: 1.1rem;
  font-weight: 600;
  text-align: center;
  line-height: 1.4;
  vertical-align: middle;
  background: #f3f3f3;
  border-top: 1px solid var(--color-border);
  position: sticky;
  left: 0;
}

.ranking-table tbody th::before {
  width: 1px;
  height: 100%;
  background: var(--color-border);
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
}

.ranking-table tbody td {
  min-height: 56px;
  padding: 10px 0;
  font-size: 1.2rem;
  line-height: 1.5;
  text-align: center;
  vertical-align: middle;
  border-top: 1px solid var(--color-border);
  border-left: 1px solid var(--color-border);
}

.ranking-table__seal {
  width: 26px;
  margin: 0 auto 2px;
}

.ranking-table tbody .column--link {
  padding: 10px;
}

.ranking-table tbody .column--link a {
  height: 40px;
  color: #fff;
  font-weight: 600;
  line-height: 1.2;
  background: var(--color-btn);
  border-radius: 3px;
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.15);
  display: flex;
  justify-content: center;
  align-items: center;
}



/*------------------------------------------

 Ranking TOP3

------------------------------------------*/

:root {
  --ranking-column-no1: #fffaed;

  --ranking-no1: #f8c02b;
  --ranking-no2: #a5a8ad;
  --ranking-no3: #5a4036;
}

.ranking-table-3 {
  margin: 40px -12px 0;
}

.ranking-table-3 table {
  width: 100%;
  table-layout: fixed;
  border: 1px solid var(--color-border);
  counter-reset: rankingTable;
}

.ranking-table-3 thead th {
  line-height: 1.2;
  text-align: center;
  background: #fff;
  border-left: 1px solid var(--color-border);
}

.ranking-table-3 thead a {
  padding: 10px 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 6px;
}

.ranking-table-3 thead th:first-child {
   background: var(--ranking-column-no1);
}

.ranking-table-3 thead th::before {
  width: 100%;
  height: 20px;
  color: #fff;
  font-size: 1.3rem;
  font-weight: 600;
  counter-increment: rankingTable;
  display: flex;
  justify-content: center;
  align-items: center;
}

.ranking-table-3 thead th:nth-child(1)::before {
  background: var(--ranking-no1);
  content: "No."counter(rankingTable);
}

.ranking-table-3 thead th:nth-child(2)::before {
  background: var(--ranking-no2);
  content: "No."counter(rankingTable);
}

.ranking-table-3 thead th:nth-child(3)::before {
  background: var(--ranking-no3);
  content: "No."counter(rankingTable);
}

.ranking-table-3 .ranking-table-3__item-img {
  width: 86%;
}

.ranking-table-3 .ranking-table-3__item-name {
  font-size: 1.35rem;
  font-weight: 600;
  line-height: 1.3;
}

.ranking-table-3 tbody th {
  height: 24px;
  font-size: 1.35rem;
  font-weight: 600;
  text-align: center;
  vertical-align: middle;
  background: var(--color-page-bg);
  border-top: 1px solid var(--color-border);
}

.ranking-table-3 tbody td {
  padding: 8px 4px;
  font-size: 1.4rem;
  line-height: 1.6;
  text-align: center;
  vertical-align: middle;
  border-right: 1px solid var(--color-border);
}

.ranking-table-3 tbody td:first-child {
  background: var(--ranking-column-no1);
}

.ranking-table-3 tbody .column--price {
  font-size: 1.55rem;
}

.ranking-table-3 tbody .column--link {
  padding: 12px 10px;
}

.ranking-table-3 tbody .column--link a {
  width: 100%;
  height: 48px;
  color: #fff;
  font-size: 1.45rem;
  font-weight: 600;
  background: #00a338;
  border-radius: 4px;
  box-shadow: 0 3px 4px rgba(0, 0, 0, 0.15);
  display: flex;
  justify-content: center;
  align-items: center;
}

.ranking-table-3 tbody .column--link a:hover {
  color: #fff;
}

.ranking-table-3__seal {
  width: 30px;
  margin: 3px auto;
}






/*------------------------------------------

 Item

------------------------------------------*/

.point-sections {
  counter-reset: pointSection;
}

.point-section {
  margin-top: 60px;
}

.point-section__heading {
  padding: 12px 12px 12px 48px;
  font-size: 1.95rem;
  background: linear-gradient(to bottom, #fff, var(--color-page-bg));
  border-top: 1px solid var(--color-border);
  border-bottom: 1px solid var(--color-border);
  position: relative;
}

.point-section__heading::before {
  margin: 0 0 3px;
  color: var(--color-primary);
  font-size: 1.5rem;
  counter-increment: pointSection;
  content: "選び方ポイント" counter(pointSection);
  display: block;
}

.point-section__heading::after {
  width: 30px;
  height: 30px;
  background-image: url(../img/icon-check-l.svg);
  background-size: 100%;
  background-repeat: no-repeat;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 8px;
  transform: translateY(-50%);
}



/*------------------------------------------

 Item

------------------------------------------*/

.items {
  margin: 40px calc(var(--post-padding-side) * -1) 0;
  padding: 0 6px;
}

.item-section {
  padding: 0 var(--item-padding-side) 28px;
  border: 2px solid var(--color-page-bg);
  border-radius: 8px;
}

.item-section:not(:first-child) {
  margin-top: 24px;
}

.item-section-heading {
  margin: 0 0 16px;
  padding: 4px 12px;
  font-size: var(--fs-h4);
  border-left: 4px solid var(--color-primary);
  background: var(--color-page-bg);
}

.item-img {
  margin-top: 20px;
}

.item-img a {
  padding: 12px 0;
  border: 1px solid var(--color-border);
  border-bottom-width: 3px;
  border-radius: 6px;
  display: block;
  position: relative;
}

.item-img__label-hq a::after {
  width: 96px;
  height: 96px;
  background: url(../img/badge-hq.png);
  background-size: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 4px;
  right: 4px;
  z-index: 1;
}

.item-img img {
  width: 220px;
}



/*------------------------------------------
 Item / Header
------------------------------------------*/


.item-header {
  margin: 0 calc(var(--item-padding-side) * -1);
  padding: 12px var(--item-padding-side);
  background: #fff;
  border-radius: 6px 6px 0 0;
  display: grid;
  grid-template-columns: 52px 1fr;
  align-items: center;
  gap: 10px;
  position: relative;
  z-index: var(--z-sticky);
}

.item-header:is(.item-section:first-child *) {
  position: sticky;
  top: 0;
}

.item-header::before {
  aspect-ratio: 1 / 1;
  background-size: 100%;
  background-repeat: no-repeat;
  content: "";
  display: block;
}

.item-header:is(.item-section:first-child *)::before {
  background-image: url(../img/badge-rank1.svg);
}

.item-header:is(.item-section:nth-child(2) *)::before {
  background-image: url(../img/badge-rank2.svg);
}

.item-header:is(.item-section:nth-child(3) *)::before {
  background-image: url(../img/badge-rank3.svg);
}


.item-header::after {
  width: calc(100% - (var(--item-padding-side) * 2));
  height: 3px;
  background: #f3f3f3;
  content: "";
  display: block;
  left: var(--item-padding-side);
  position: absolute;
  bottom: 0;
}


.item-header h3 a {
  font-size: 1.85rem;
  text-decoration: underline;
}

.item-header .item-header__catch {
  margin-top: 2px;
  font-size: 1.4rem;
  font-weight: 500;
}


/*------------------------------------------

 Item / Body

------------------------------------------*/

.item-body {
  margin-top: 24px;
}

.item-body p:not(:first-child) {
  margin-top: var(--text-margin);
}

.item-body__blocks {
  counter-reset: itemBlocks;
}

.item-body-block {
  margin-top: 56px;
}

.item-body-block__heading {
  padding: 14px 10px;
  font-size: 1.8rem;
  background: linear-gradient(to bottom, #fff, var(--color-page-bg));
  border-top: 3px solid var(--color-primary);
  border-bottom: 1px solid var(--color-border);
  position: relative;
}

.item-body-block__heading::before {
  height: 28px;
  padding: 0 12px;
  color: #fff;
  font-size: 1.4rem;
  font-weight: 600;
  counter-increment: itemBlocks;
  content: "✅️ 評価ポイント"counter(itemBlocks);
  background: var(--color-primary);
  border-radius: 4px 4px 0 0;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: -28px;
  left: 0;
}

.item-body-block__body {
  margin-top: 20px;
}

.item-body-block__body h5 {
  margin-top: 24px;
  padding: 8px 10px;
  border-left: 4px solid var(--color-primary);
  border-top: 1px solid var(--color-border);
  border-bottom: 1px solid var(--color-border);
  font-size: 1.5rem;
  line-height: 1.6;
}

.item-body-block__body h5 + .img {
  margin-top: 16px;
}





/*------------------------------------------

 Item / Label List

------------------------------------------*/

.item-label-list {
  margin-top: 16px;
}

.item-label-list ul {
  display: flex;
  align-items: center;
  gap: 4px;
}

.item-label-list li {
  height: 26px;
  padding: 0 3px;
  color: var(--color-primary);
  font-weight: 600;
  font-size: 1.25rem;
  border: 1px solid var(--color-primary);
  border-radius: 3px;
  display: flex;
  justify-content: center;
  align-items: center;
}


/*------------------------------------------

 Item / Recommend For

------------------------------------------*/

.recommend-for {
  margin-top: 36px;
  background: var(--color-primary-l);
  border-radius: var(--block-r);
}

.recommend-for:is(.item-img + *) {
  margin-top: 24px;
}

.recommend-for__heading {
  width: fit-content;
  height: 22px;
  margin: 0 auto;
  padding: 0 20px;
  color: #fff;
  font-size: 1.3rem;
  background: var(--color-primary);
  border-radius: 12px;
  transform: translateY(-12px);
  display: flex;
  align-items: center;
  gap: 1px;
}

.recommend-for__heading::before {
  width: 30px;
  height: 30px;
  background: url(../img/icon-finger.svg);
  background-size: 100%;
  content: "";
  display: block;
  transform: rotate(-28deg) translateY(-1px);
}

.recommend-for__body {
  padding: 0 20px 20px;
}

.recommend-for__body ul {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.recommend-for__body li {
  font-weight: 600;
  line-height: 1.6;
  position: relative;
}

.recommend-for__body li:not(:first-child) {
  margin-top: 6px;
}

.recommend-for__body li::before {
  width: 24px;
  aspect-ratio: 1 / 1;
  background-image: url(../img/check-circle.svg);
  background-size: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: -32px;
  transform: translateY(-50%);
}



/*------------------------------------------

 Item / Best Price Button

------------------------------------------*/

.best-price-btn {
  margin-top: 16px;
  display: flex;
  justify-content: end;
}

.best-price-btn a {
  width: fit-content;
  height: 28px;
  padding: 0 16px;
  color: #555;
  font-size: 1.35rem;
  letter-spacing: 0;
  background: #fff;
  border-radius: 24px;
  border: 1px solid #ddd;
  box-sizing: border-box;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.08);
  display: flex;
  align-items: center;
}

.best-price-btn a::after {
  width: 14px;
  height: 14px;
  margin: -2px 0 0 5px;
  background: url(../img/icon-blank-gray.svg) no-repeat;
  background-size: 100%;
  content: "";
  display: block;
}



/*------------------------------------------

 Item / Info Table

------------------------------------------*/

.item-info-table {
  margin-top: calc(var(--block-margin) - 4px);
}

.item-info-table dl {
  background: var(--color-primary);
  border: 2px solid var(--color-primary);
  border-radius: var(--block-r);
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  column-gap: 2px;
  overflow: hidden;
}

.item-info-table__item dt {
  color: #fff;
  font-size: 1.25rem;
  font-weight: 600;
  text-align: center;
  background: var(--color-primary);
}

.item-info-table__item dd {
  height: 68px;
  font-size: 1.5rem;
  font-weight: 500;
  background: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.item-info-table__item dd::before {
  width: 26px;
  height: 26px;
  margin: 0 0 2px;
  background-size: 100%;
  background-repeat: no-repeat;
  content: "";
  display: block;
}

.item-info-table__item .column--nijumaru::before {
  background-image: url(../img/icon-seal-nijumaru.svg);
}

.item-info-table__item .column--maru::before {
  background-image: url(../img/icon-seal-maru.svg);
}

.item-info-table__item .column--sankaku::before {
  background-image: url(../img/icon-seal-sankaku.svg);
}



/*------------------------------------------

 Item / Info Facts

------------------------------------------*/

.item-facts {
  margin-top: var(--block-margin);
}

.item-facts__item {
  display: grid;
  grid-template-columns: 112px 1fr;
  border: 2px solid var(--color-primary);
  border-radius: calc(var(--block-r) - 1px);
  overflow: hidden;
}

.item-facts__item:not(:first-child) {
  margin-top: 4px;
}

.item-facts__item.is-disabled {
  border-color: #aaa;
}

.item-facts__item dt {
  color: #fff;
  font-size: 1.4rem;
  font-weight: 600;
  background: var(--color-primary);
  display: flex;
  justify-content: center;
  align-items: center;
}

.item-facts__item dt:is(.is-disabled *) {
  background: #aaa;
}

.item-facts__item dt span {
  letter-spacing: -0.07em;
}

.item-facts__item dd {
  padding: 8px 12px;
  font-size: 1.35rem;
}

.item-facts__item dd:is(.--disabled *) {
  color: var(--fc-gray);
}



/*------------------------------------------

 Item / Comment

------------------------------------------*/

.comment {
  margin-top: 40px;
}

.comment__ttl {
  margin: 0 1px 24px;
  padding: 5px 0 5px 20px;
  background: linear-gradient(to bottom, #fff, var(--color-page-bg));
  border: 1px solid #fff;
  outline: 1px solid var(--color-border);
  border-radius: 3px;
  position: relative;
}

.comment__ttl::before {
  width: 4px;
  height: 100%;
  background: var(--color-primary);
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
}

.comment-item {
  border: 1px solid var(--color-border);
  border-radius: 6px;
}

.comment-item:not(:first-child) {
  margin-top: 16px;
}

.comment-item__header {
  padding: 12px;
  border-bottom: 1px solid var(--color-border);
  display: grid;
  align-items: center;
  grid-template-columns: 40px 1fr;
  gap: 10px;
}

.comment-item__heading {
  font-size: 1.55rem;
}

.coment-item__avatar img {
  aspect-ratio: 1 / 1/;
  border-radius: 100%;
}

.comment-item__body {
  margin-top: 12px;
  padding: 0 12px 16px;
}

.comment-item__body p {
  font-size: 1.4rem;
}

.comment-item__body p:not(:first-child) {
  margin-top: 12px;
}



/*------------------------------------------
 
 Talk

------------------------------------------*/

.talk {
  margin-top: var(--block-margin);
  display: flex;
  align-items: start;
}

.talk:first-child {
  margin: 0;
}

.talk__img {
  width: 60px;
  border-radius: 100%;
  overflow: hidden;
}

.talk__img img {
  width: inherit;
}

.talk__text {
  min-height: 60px;
  padding: 14px;
  background: #f4f7f9;
  border-radius: 6px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  flex: 1;
  position: relative;
}

.talk__text:before {
  width: 15px;
  height: 23px;
  background: url(../img/talk-arrow.svg) no-repeat;
  background-size: 15px 23px;
  content: "";
  display: block;
  position: absolute;
  top: 3px;
}

.talk__text:last-child {
  margin: 0 0 0 14px;
}

.talk__text:last-child:before {
  left: -13px;
}

.talk__text:first-child {
  margin: 0 14px 0 0;
}

.talk__text:first-child:before {
  right: -13px;
  transform: scale(-1, 1);
}

.talk__text p {
  line-height: 1.7;
}

.talk + .talk {
  margin-top: 16px;
}



/*------------------------------------------

 Modules / Button

------------------------------------------*/

.btn--page-link {
  margin: 36px auto 0;
}

.btn--page-link a {
  height: 56px;
  margin: 0 auto;
  color: #fff;
  font-size: 1.65rem;
  font-weight: 600;
  background: linear-gradient(to bottom, #00a848, #009025);
  border-radius: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.btn--page-link a::after {
  width: 16px;
  aspect-ratio: 1 / 1;
  background-image: url(../img/arrow-circle.svg);
  background-size: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  right: 12px;
  transform: translateY(-50%) rotate(90deg);
}

.post-body .btn--page-link__guide {
  margin-top: 16px;
  font-size: 1.4rem;
  text-align: center;
}

.post-body .btn-sub {
  width: 90%;
  margin: 32px auto;
}

.post-body .btn-sub a {
  height: 88px;
  padding: 0 0 2px;
  color: var(--fc-link);
  font-size: 1.8rem;
  font-weight: 600;
  line-height: 1.4;
  border: 1px solid #ccc;
  box-shadow: 0 3px 0  #ccc;
  border-radius: 4px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5px;
}

.post-body .btn-sub a span {
  text-decoration: underline;
}



/*------------------------------------------

 Modules / CTA

------------------------------------------*/

/*--------------------------------
 CTA / Micro Copy
--------------------------------*/

.cta-micro-copy--top {
  text-align: center;
}

/*--------------------------------
 CTA / Button
--------------------------------*/

:root {
  --cta-btn-height: 88px;
}

.btn {
  margin-top: 20px;
}

.btn:is(.cta-micro-copy--top + *) {
  margin-top: 6px;
}

.btn:is(.micro-copy--header + *) {
  margin-top: 6px;
}

.btn a {
  margin: 0 -3px;
  width: 560px;
  max-width: 100%;
  height: var(--cta-btn-height);
  padding: 0 0 1px;
  margin: 0 auto;
  color: #fff;
  font-size: 1.85rem;
  font-weight: var(--fw-bold);
  line-height: 1;
  text-align: center;
  background: linear-gradient(to bottom, #00a848, #009025);
  border: 3px solid #fff;
  border-radius: calc(var(--cta-btn-height) / 2);
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.15);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  position: relative;
  overflow: hidden;
  transition: var(--transition-base);
}

.btn a::after {
  width: 20px;
  aspect-ratio: 1 / 1;
  background-image: url(../img/arrow-circle.svg);
  background-size: 100%;
  background-repeat: no-repeat;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  right: 12px;
  transform: translateY(-50%);
  transition: .2s;
}

.btn a span {
  position: relative;
}

.btn-animation--shiny {
  position: relative;
  overflow: hidden;
}

.btn-animation--shiny::before {
  width: 30px;
  height: 100%;
  background: #1dd66c;
  content: "";
  display: block;
  position: absolute;
  top: -60px;
  left: 0;
  z-index: 0;
  animation: shiny 3s ease-in-out infinite;
  opacity: .9;
}

.btn-animation--shiny span,
.btn-animation--shiny::after {
  z-index: 10;
}

@keyframes shiny {
  0% { -webkit-transform: scale(0) rotate(45deg); opacity: 0; }
  85% { -webkit-transform: scale(0) rotate(45deg); opacity: 0.5; }
  86% { -webkit-transform: scale(4) rotate(45deg); opacity: 1; }
  100% { -webkit-transform: scale(50) rotate(45deg); opacity: 0; }
}


/*--------------------------------
 CTA / Official Link
--------------------------------*/

.official-link {
  margin-top: 20px;
}

.official-link p {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.official-link p::before {
  width: fit-content;
  height: 20px;
  padding: 0 8px;
  font-size: 1.2rem;
  font-weight: 600;
  background: var(--color-page-bg);
  border-radius: 3px;
  content: "公式";
  display: flex;
  align-items: center;
}

.official-link a{
  font-size: 1.5rem;
  font-weight: 600;
  text-decoration: underline;
}


/*------------------------------------------

 Modules /  Post Footer CTA

------------------------------------------*/

.post-f-cta {
  margin-top: 28px;
}

.post-f-cta img {
  margin-top: 16px;
}



/*------------------------------------------

 Modules / Facts Group

------------------------------------------*/

.facts-group {
  margin-top: var(--block-margin);
}

.facts-group dl {
  display: grid;
  grid-template-columns: 1fr 46%;
  gap: 2px;
}

.facts-group dt {
  padding: 4px 0;
  color: #fff;
  font-size: 1.65rem;
  font-weight: var(--fw-bold);
  background: var(--color-primary);
  display: flex;
  align-items: center;
  justify-content: center;
}

.facts-group dt:is(.--support-only *) {
  background: #888;
}

.facts-group dd {
  padding: 13px 12px;
  background: var(--color-primary-l);
}

.facts-group dd:is(.--support-only *) {
  background: #e9e9e9;
}

.facts-group dd li {
  padding-left: 12px;
  font-size: 1.6rem;
  position: relative;
}

.facts-group dd li:not(:first-child) {
  margin-top: 1px;
}

.facts-group dd li::before {
  width: 5px;
  height: 5px;
  background: var(--color-primary);
  border-radius: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 9px;
  left: 0;
}

.facts-group dd:is(.--support-only *) li::before {
  background: #888;
}



/*------------------------------------------

 Modules / Compare Table

------------------------------------------*/

.price-compare-table {
  margin: var(--block-margin) 0;
}

.price-compare-table table {
  width: 100%;
  table-layout: fixed;
  border: 1px solid var(--color-border);
}

.price-compare-table thead th {
  padding: 2px 0;
  font-size: 1.2rem;
  font-weight: 600;
  text-align: center;
  background: var(--color-page-bg);
  border: 1px solid var(--color-border);
}

.price-compare-table thead th:first-child {
  width: 120px;
}

.price-compare-table tbody td {
  padding: 7px 12px;
  font-size: 1.4rem;
  border: 1px solid var(--color-border);
}

.price-compare-table tbody td:is(tr:first-child *) {
  background: var(--color-yellow-l);
}

.price-compare-table__accent {
  font-size: 1.55rem;
  display: flex;
  align-items: center;
  gap: 8px;
}

.price-compare-table__badge {
  height: 20px;
  padding: 0 4px;
  color: #fff;
  font-size: 1.1rem;
  font-weight: var(--fw-bold);
  background: var(--color-accent);
  border-radius: 3px;
}



/*------------------------------------------

 Modules / Table Price

------------------------------------------*/

.price-table {
  margin-top: var(--block-margin);
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 8px;
}

.price-table__item {
  border: 2px solid var(--color-primary);
  border-radius: 5px;
}

.price-table dt {
  color: #fff;
  font-size: 1.4rem;
  font-weight: 600;
  line-height: 1.6;
  text-align: center;
  background: var(--color-primary);
}

.price-table dd {
  height: 64px;
  font-size: 1.7rem;
  font-weight: 700;
  display: flex;
  justify-content: center;
  align-items: center;
}



/*------------------------------------------

 Modules / Function Claims

------------------------------------------*/

.function-claims {
  margin: var(--block-margin) auto 0;
  padding: 0 16px;
}

.function-claims ul {
  display: grid;
  grid-template-columns: 1fr 46%;
  align-items: center;
}

.function-claims__box.--normal dl {
  border: 2px solid #ddd;
  border-left: 0;
  border-radius:  0 6px 6px 0;
}

.function-claims__box.--function-claims dl {
  border: 2px solid var(--color-primary);
  border-radius: 6px;
}

.function-claims__box dt {
  padding: 4px 0 6px;
  color: #fff;
  font-size: 1.5rem;
  font-weight: 600;
  text-align: center;
}

.function-claims__box dt:is(.--normal *) {
  color: #666;
  font-size: 1.35rem;
  background: #ddd;
}

.function-claims__box dt:is(.--function-claims *) {
  background: var(--color-primary);
}

.function-claims__box dd {
  padding: 6px 0 10px;
  font-size: 1.45rem;
  font-weight: 600;
  line-height: 1.6;
  text-align: center;
}

.function-claims__box dd:is(.--normal *) {
  font-size: 1.4rem;
}

.function-claims__box img {
  width: 96px;
  margin-bottom: 4px;
}

.function-claims__box img:is(.--normal *) {
  width: 80px;
}



/*------------------------------------------

 Modules / Function Claims

------------------------------------------*/

.kiwami-facts {
  margin-top: var(--block-margin);
}

.kiwami-facts ul {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 8px;
}

.kiwami-facts ul:is(.--facts2 *) {
  padding: 0 24px;
  grid-template-columns: 1fr 1fr;
  gap: 16px;
}

.kiwami-facts li {
  aspect-ratio: 1 / 1;
  background: var(--color-primary-l);
  border-radius: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  opacity: 0;
  transition: transform .5s ease, opacity .5s ease;
  transition-delay: calc(var(--i, 0) * .2s);
  transform: translateY(8px);
}

.kiwami-facts li:is(.is-visible *) {
  opacity: 1;
  transform: translateY(0);
}

.kiwami-facts__label {
  width: calc(100% - 16px);
  color: #fff;
  font-size: 1.1rem;
  font-weight: 600;
  text-align: center;
  line-height: 1.6;
  background: var(--color-primary);
  border-radius: 3px;
  position: absolute;
  top: 8px;
  left: 50%;
  transform: translateX(-50%);
}

.kiwami-facts__ttl {
  padding: 6px 0 0;
  font-weight: 600;
  font-size: 1.35rem;
  line-height: 1.5;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}



/*------------------------------------------

 Modules / Features-list-box

------------------------------------------*/

.features-list-box {
  margin-top: var(--block-margin);
  box-shadow: 0 3px 7px rgba(0, 0, 0, 0.14);
  border-radius: 5px;
}

.features-list-box__ttl {
  padding: 3px 12px;
  color: #fff;
  font-size: 1.6rem;
  font-weight: 600;
  text-align: center;
  background: var(--color-primary);
  border-radius: 5px 5px 0 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.features-list-box__body {
  padding: 4px;
  border: 2px solid var(--color-primary);
  border-radius: 0 0 5px 5px;
}

.features-list-box__body li {
  padding: 6px 6px 6px 40px;
  background: #ebf5fe;
  border-radius: 4px;
  font-size: 1.5rem;
  line-height: 1.7;
  position: relative;
}

.features-list-box__body li:not(:first-child) {
  margin-top: 3px;
}

.features-list-box__body li::before {
  width: 22px;
  aspect-ratio: 1 / 1;
  background-image: url(../img/check-main-color.svg);
  background-size: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 10px;
  transform: translateY(-50%);
}



/*------------------------------------------

 Modules / problem List

------------------------------------------*/

.problem-list {
  margin: 0 -13px;
  padding: 8px 14px;
  background: #f3f3f3;
}

.problem-list li {
  padding: 10px 0 10px 22px;
  font-size: 1.65rem;
  font-weight: 700;
  border-top: 1px dashed #ccc;
  position: relative;
}

.problem-list li:first-child {
  border-top: none;
}

.problem-list li::before {
  width: 7px;
  height: 7px;
  background: #726988;
  border-radius: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 4px;
  transform: translateY(-50%);
}



/*------------------------------------------

 Modules / Author Profile

------------------------------------------*/

.author-profile {
  margin-top: 32px;
  padding: 20px 16px;
  background-image: linear-gradient(0deg, transparent calc(100% - 1px), #f5f5f5 calc(100% - 1px)),
                    linear-gradient(90deg, transparent calc(100% - 1px), #f5f5f5 calc(100% - 1px));;
  background-size: 16px 16px;
  background-repeat: repeat;
  background-position: -1px -1px;               
  box-shadow: 3px 3px 6px rgba(0, 0, 0, 0.1);
  border-top: 4px solid var(--color-primary);
  display: grid;
  grid-template-columns: 64px 1fr;
  gap: 16px;
}

.author-profile__avata {
  aspect-ratio: 1 / 1;
  border-radius: 100%;
  overflow: hidden;
}

.author-profile__ttl {
  color: var(--color-primary);
  font-size: 1.7rem;
}

.author-profile__txt p {
  margin-top: 4px;
  font-size: 1.5rem;
  line-height: 1.7;
}



/*------------------------------------------

 Modules / Low Stock Box

------------------------------------------*/

.low-stock-box {
  max-width: 380px;
  margin: 16px auto 32px;
  box-shadow: 0 3px 8px rgba(0 , 0, 0, 0.09);
}

.low-stock-box__ttl {
  padding: 1px 18px 0 18px;
  background: var(--color-primary);
  border-radius: 8px 8px 0 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.low-stock-box__ttl img {
  margin-top: -16px;
}

.low-stock-box__body {
  padding: 24px 20px;
  position: relative;
}

.low-stock-box-monthly {
  display: flex;
  flex-direction: column;
  gap: 12px;
  position: relative;
}

.low-stock-box-monthly::after {
  width: 3px;
  height: 100%;
  background: #ccc;
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: 0;
}

.low-stock-box-monthly__item {
  display: grid;
  grid-template-columns: 72px 1fr;
  position: relative;
  z-index: 1;
}

.low-stock-box-monthly__item dt {
  height: 44px;
  color: #fff;
  font-size: 1.5rem;
  font-weight: 700;
  text-align: center;
  background: #acacac;
  border-radius: 5px 0 0 5px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.low-stock-box-monthly__item dd {
  height: 44px;
  padding: 4px 12px;
  font-size: 1.5rem;
  font-weight: 600;
  background: #eee;
  border-radius: 0 5px 5px 0;
  display: flex;
  align-items: center;
}

.low-stock-box-monthly__item dt:is(.--now *) {
  height: 56px;
  background:  var(--color-primary);
}

.low-stock-box-monthly__item dd:is(.--now *) {
  height: 56px;
  font-size: 1.65rem;
  font-weight: 700;
  background:  var(--color-primary-l);
}

.low-stock-box__label {
  width: fit-content;
  height: 20px;
  padding: 0 4px;
  color: #fff;
  font-size: 1.25rem;
  font-weight: 700;
  background: var(--fc-red);
  display: flex;
  align-items: center;
  position: absolute;
  bottom: 16px;
  right: 8px;
  z-index: 10;
  transform: rotate(-8deg);
  animation: blinkSteps .9s steps(1, end) infinite;
}

@keyframes blinkSteps {
  0%   { opacity: 1; }
  50%  { opacity: 0; }
  100% { opacity: 1; }
}



/*------------------------------------------

 Footer

------------------------------------------*/

.g-footer {
  width: var(--main-width);
  margin: 0 auto;
  background: #262728;
}

.g-footer__inner {
  width: var(--main-width);
  margin: 0 auto;
  padding: 28px var(--post-padding-side);
}

.footer-copyright {
  color: #fff;
  font-size: 1.3rem;
  text-align: center;
}


@media ( min-width: 768px ) {
  .g-footer__inner {
    padding: 32px 0;
  }
}
